# Class RevolutAccountPayload

#### Hierarchy

- unknown
  - RevolutAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4666
- Defined in src/protobuf/pb_pb.d.ts:4678

#####
Index

### Constructors

constructor

### Methods

getUsername
serializeBinary
setUsername
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RevolutAccountPayload(): RevolutAccountPayload

- #### Returns RevolutAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getUsername

- getUsername(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4667

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4670

### setUsername

- setUsername(value: string): RevolutAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns RevolutAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4668

### toObject

- toObject(includeInstance?: boolean): RevolutAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RevolutAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4671

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RevolutAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RevolutAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4674

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RevolutAccountPayload, reader: BinaryReader): RevolutAccountPayload

- #### Parameters

  - ##### message: RevolutAccountPayload

  - ##### reader: BinaryReader

  #### Returns RevolutAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4675

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RevolutAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RevolutAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4673

### `Static` toObject

- toObject(includeInstance: boolean, msg: RevolutAccountPayload): RevolutAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RevolutAccountPayload

  #### Returns RevolutAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4672

Generated using TypeDoc